## Get a payment

### cURL

```
curl --request GET \
  --url https://api.pay.walletconnect.com/v1/gateway/payment/{id} \
  --header 'Api-Key: <api-key>'
```

```
import requests

url = "https://api.pay.walletconnect.com/v1/gateway/payment/{id}"

headers = {"Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};

fetch('https://api.pay.walletconnect.com/v1/gateway/payment/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

### Response Codes

- **200**    
- **400**    
- **401**    
- **404**    
- **500**

### Example Response

```
{
  "amount": {
    "display": {
      "assetName": "USD Coin",
      "assetSymbol": "USDC",
      "decimals": 6,
      "iconUrl": "https://assets.walletconnect.com/usdc.png",
      "networkIconUrl": "https://assets.walletconnect.com/base.png",
      "networkName": "Base"
    },
    "unit": "caip19/eip155:8453/erc20:0x0000000000000000000000000000000000000000",
    "value": "1000000"
  },
  "buyer": {
    "accountCaip10": "eip155:1:0x0000000000000000000000000000000000000000",
    "accountProviderIcon": "https://example.com/icon.png",
    "accountProviderName": "Wallet"
  },
  "expiresAt": 1700000000,
  "merchant": {
    "iconUrl": "https://example.com/icon.png",
    "name": "Merchant"
  },
  "status": "requires_action"
}
```

### Authorizations

- **Api-Key**: string (header, required)

### Headers

- **Api-Key**: string | null
- **App-Id**: string | null
- **Client-Id**: string | null
- **WCP-Version**: string | null
- **Sdk-Name**: string | null
- **Sdk-Version**: string | null
- **Sdk-Platform**: string | null

### Path Parameters

- **id**: string (required)  
  Example:  
  `
